# Uses of Class
org.snpeff.snpEffect.Config

Packages that use Config
Package
Description
org.snpeff
org.snpeff.binseq
org.snpeff.interval
org.snpeff.nextProt
org.snpeff.outputFormatter
org.snpeff.pdb
org.snpeff.snpEffect
org.snpeff.snpEffect.commandLine
org.snpeff.snpEffect.factory
org.snpeff.spliceSites

## Uses of Config in org.snpeff

Fields in org.snpeff declared as Config
Modifier and Type
Field
Description
`protected Config`
SnpEff.`config`
Methods in org.snpeff that return Config
Modifier and Type
Method
Description
`Config`
SnpEff.`getConfig()`
Methods in org.snpeff with parameters of type Config
Modifier and Type
Method
Description
`void`
SnpEff.`setConfig(Config config)`

## Uses of Config in org.snpeff.binseq

Methods in org.snpeff.binseq with parameters of type Config
Modifier and Type
Method
Description
`void`
GenomicSequences.`save(Config config)`
Save genomic sequence into separate files (per chromosome)

## Uses of Config in org.snpeff.interval

Constructors in org.snpeff.interval with parameters of type Config
Modifier
Constructor
Description
``
`Genome(String version, Config config)`

## Uses of Config in org.snpeff.nextProt

Constructors in org.snpeff.nextProt with parameters of type Config
Modifier
Constructor
Description
``
`NextProtDb(String xmlDirName, Config config)`
``
`NextProtMarkerFactory(Config config)`

## Uses of Config in org.snpeff.outputFormatter

Methods in org.snpeff.outputFormatter with parameters of type Config
Modifier and Type
Method
Description
`void`
OutputFormatter.`setConfig(Config config)`

## Uses of Config in org.snpeff.pdb

Methods in org.snpeff.pdb with parameters of type Config
Modifier and Type
Method
Description
`void`
ProteinInteractions.`initialize(Config config)`
Initialize class (deferred initialization) Note: This is not done at construction because we don't have a 'Config' object ready (loaded) at the time
`void`
ProteinInteractions.`setConfig(Config config)`

## Uses of Config in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return Config
Modifier and Type
Method
Description
`static Config`
Config.`get()`
`static Config`
Config.`reset()`
Methods in org.snpeff.snpEffect with parameters of type Config
Modifier and Type
Method
Description
`static SnpEffectPredictor`
SnpEffectPredictor.`load(Config config)`
Load predictor from a binary file
`void`
SnpEffectPredictor.`save(Config config)`
Save predictor to a binary file (specified by the configuration)
`void`
VcfAnnotator.`setConfig(Config config)`
Set configuration
`void`
VcfAnnotatorChain.`setConfig(Config config)`
Constructors in org.snpeff.snpEffect with parameters of type Config
Modifier
Constructor
Description
``
`LossOfFunction(Config config, Collection<VariantEffect> variantEffects)`

## Uses of Config in org.snpeff.snpEffect.commandLine

Constructors in org.snpeff.snpEffect.commandLine with parameters of type Config
Modifier
Constructor
Description
``
`SnpEffCmdCds(Config config)`
``
`SnpEffCmdClosest(Config config)`
``
`SnpEffCmdProtein(Config config, String proteinFile)`

## Uses of Config in org.snpeff.snpEffect.factory

Constructors in org.snpeff.snpEffect.factory with parameters of type Config
Modifier
Constructor
Description
``
`SnpEffPredictorFactory(Config config, int inOffset)`
``
`SnpEffPredictorFactoryEmbl(Config config)`
``
`SnpEffPredictorFactoryEmbl(Config config, String emblFileName)`
``
`SnpEffPredictorFactoryFeatures(Config config)`
``
`SnpEffPredictorFactoryGenBank(Config config)`
``
`SnpEffPredictorFactoryGenBank(Config config, String fileName)`
``
`SnpEffPredictorFactoryGenesFile(Config config)`
``
`SnpEffPredictorFactoryGff(Config config)`
``
`SnpEffPredictorFactoryGff2(Config config)`
``
`SnpEffPredictorFactoryGff3(Config config)`
``
`SnpEffPredictorFactoryGtf22(Config config)`
``
`SnpEffPredictorFactoryKnownGene(Config config)`
``
`SnpEffPredictorFactoryRand(Config config, Random random, int maxGeneLen, int maxTranscripts, int maxExons)`
``
`SnpEffPredictorFactoryRefSeq(Config config)`

## Uses of Config in org.snpeff.spliceSites

Constructors in org.snpeff.spliceSites with parameters of type Config
Modifier
Constructor
Description
``
`SpliceTypes(Config config)`